1 Reply Latest reply on Feb 21, 2019 9:35 AM by Marco Bellusci

    Handshake error after upgrading WS to v9

    Mike Landis
      Share:|

      We had an interesting morning, we upgraded our WebService CM to from version 8 to 9 this morning.  All webservice jobs that require HTTPS began to fail.

       

      error: javax.net.ssl.SSLHandshakeException: sun.security.validator.ValidatorException: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilderException: unable to find valid certification path to requested target

       

      To solve the error we started to download the certs again and do the copy.

      C:\Program Files\BMC Software\Control-M Agent\Default\CM\JRE\bin>keytool –import  -trustcacerts -keystore ..\lib\security\cacerts -alias

       

      After a couple of these we seemed to be ok, all of the secure paths began to work.   We are wondering if anyone else has seen this, or know why we only had to do a couple before they all started working again.

        • 1. Re: Handshake error after upgrading WS to v9
          Marco Bellusci

          we have similar errors when creating https profiles for ctm for inofrmatica.

          and the pkix error we also got, when upgradeing our agents and mts to 9.0.18.200.

          somtimes we got it after upgrade (but the aft/mft-accoutns was working fine before) and mostly we get the pkix error, after upgarding to 9.0.18.200 and then trying to import and export an valid account. the export/import works normal, but the validation of the imported account is then failing with pkic-error or somtimes "wrong user, wrong pw-errors"

          2 of 2 people found this helpful